# Update project enterprise settings PUT https://app.unleash-instance.example.com/api/admin/projects/{projectId}/settings Content-Type: application/json **Enterprise feature** Update project enterprise settings with new values. Any fields not provided are ignored. Reference: https://docs.getunleash.io/api/update-project-enterprise-settings ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Update project enterprise settings version: endpoint_projects.updateProjectEnterpriseSettings paths: /api/admin/projects/{projectId}/settings: put: operationId: update-project-enterprise-settings summary: Update project enterprise settings description: >- **Enterprise feature** Update project enterprise settings with new values. Any fields not provided are ignored. tags: - - subpackage_projects parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Projects_updateProjectEnterpriseSettings_Response_200 '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: updateProjectEnterpriseSettingsSchema content: application/json: schema: $ref: '#/components/schemas/updateProjectEnterpriseSettingsSchema' components: schemas: UpdateProjectEnterpriseSettingsSchemaMode: type: string enum: - value: open - value: protected - value: private createFeatureNamingPatternSchema: type: object properties: pattern: type: - string - 'null' description: >- A JavaScript regular expression pattern, without the start and end delimiters. Optional flags are not allowed. example: type: - string - 'null' description: >- An example of a feature name that matches the pattern. Must itself match the pattern supplied. description: type: - string - 'null' description: >- A description of the pattern in a human-readable format. Will be shown to users when they create a new feature flag. required: - pattern projectLinkTemplateSchema: type: object properties: title: type: - string - 'null' description: The title of the link. urlTemplate: type: string description: >- The URL to use as a template. Can contain {{project}} or {{feature}} as placeholders. required: - urlTemplate updateProjectEnterpriseSettingsSchema: type: object properties: mode: $ref: '#/components/schemas/UpdateProjectEnterpriseSettingsSchemaMode' description: >- A mode of the project affecting what actions are possible in this project featureNaming: $ref: '#/components/schemas/createFeatureNamingPatternSchema' linkTemplates: type: array items: $ref: '#/components/schemas/projectLinkTemplateSchema' description: >- A list of link templates that can be automatically added to new feature flags. Projects_updateProjectEnterpriseSettings_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/settings" payload = {} headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/settings'; const options = { method: 'PUT', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/settings" payload := strings.NewReader("{}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/settings") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://app.unleash-instance.example.com/api/admin/projects/projectId/settings") .header("Authorization", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('PUT', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/settings', [ 'body' => '{}', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/settings"); var request = new RestRequest(Method.PUT); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/settings")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```